net.corda.client.fxutils

## Class ConcatenatedList<A>

- net.corda.client.fxutils.ConcatenatedList<A>

-     public class ConcatenatedList<A>

  `class ConcatenatedList` takes a list of lists and concatenates them. Any change to the underlying lists or the outer list is propagated as expected.

  See Also:
    `class ConcatenatedList`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcatenatedList(javafx.collections.ObservableList<javafx.collections.ObservableList> sourceList)` `class ConcatenatedList` takes a list of lists and concatenates them. Any change to the underlying lists or the outer list is propagated as expected.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `get(int index)`
    `int` | `getSize()`
    `int` | `getSourceIndex(int index)`
    `java.lang.Object` | `remove(int p)`
    `java.lang.Object` | `removeAt(int p)`
    `int` | `size()`
    `void` | `sourceChanged(javafx.collections.ListChangeListener.Change<? extends javafx.collections.ObservableList<A>> change)`

- - ### Constructor Detail

    - #### ConcatenatedList

          public ConcatenatedList(javafx.collections.ObservableList<javafx.collections.ObservableList> sourceList)

      `class ConcatenatedList` takes a list of lists and concatenates them. Any change to the underlying lists or the outer list is propagated as expected.

      See Also:
        `class ConcatenatedList`

  - ### Method Detail

    - #### sourceChanged

          public void sourceChanged(javafx.collections.ListChangeListener.Change<? extends javafx.collections.ObservableList<A>> change)

    - #### getSize

          public int getSize()

    - #### size

          public int size()

    - #### getSourceIndex

          public int getSourceIndex(int index)

    - #### get

          public A get(int index)

    - #### removeAt

          public java.lang.Object removeAt(int p)

    - #### remove

          public java.lang.Object remove(int p)